Page MenuHomeFreeBSD

[Handbook] Update Who Uses FreeBSD?
ClosedPublic

Authored by carlavilla on Jan 19 2020, 6:31 PM.

Details

Summary

Update the section "Who Uses FreeBSD?"

  • Remove WhatsApp, as far as I know, WhatsApp stop using FreeBSD after the FB acquisition.
  • Update the Fudo Security URL
  • Update the GhostBSD information
  • Add FuryBSD and MidnightBSD
  • Remove TrueOS

PR: 236902

Test Plan

Compile the Handbook

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

carlavilla created this revision.Jan 19 2020, 6:31 PM
carlavilla edited the summary of this revision. (Show Details)
carlavilla edited the summary of this revision. (Show Details)
bcr added a comment.Jan 20 2020, 8:00 AM

Just one missing word and we're good to go.
Thanks for working on keeping this updated.

en_US.ISO8859-1/books/handbook/introduction/chapter.xml
674 ↗(On Diff #67004)

I think there is a "like" missing after "past".

mateusz_serveraptor.com added inline comments.
en_US.ISO8859-1/books/handbook/introduction/chapter.xml
586 ↗(On Diff #67004)

Any source backing this removal? I couldn't find anything about this migration. Is it internal knowledge?

682 ↗(On Diff #67004)

Why removing TrueOS?

mikael added a subscriber: mikael.Jan 21 2020, 9:48 AM
mikael added inline comments.
en_US.ISO8859-1/books/handbook/introduction/chapter.xml
586 ↗(On Diff #67004)
carlavilla updated this revision to Diff 67120.Jan 21 2020, 8:32 PM

Instead of removing TrueOS, I updated the information based on the TrueOS webpage.

And the WhatsApp problem... I read the migration from FreeBSD to GNU/Linux in this url @mateusz_serveraptor.com, @bcr you know if we can take this information as correct?

bcr added a comment.Jan 21 2020, 9:17 PM

Yes, it is true that they switched, so we can remove WhatsApp from this here.

en_US.ISO8859-1/books/handbook/introduction/chapter.xml
25 ↗(On Diff #67120)

This won't work and probably will not compile as it needs a "<link" tag before the xlink.

@bcr

It's a problem with the diff, the "link" tag exists:

<listitem>
  <para><link
      xlink:href="https://www.trueos.org">TrueOS</link>
    <indexterm>
      <primary>TrueOS</primary>
    </indexterm> - TrueOS is based on the legendary security
    and stability of &os;.  TrueOS follows &os;-CURRENT, with
    the latest drivers, security updates, and packages
    available.</para>
</listitem>
bcr accepted this revision.Jan 22 2020, 7:02 PM

OK, you can commit it then.

This revision is now accepted and ready to land.Jan 22 2020, 7:02 PM
This revision was automatically updated to reflect the committed changes.